Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.international
Class TimeZoneWrapper

    java.lang.Object
      java.util.TimeZone
          org.jboss.seam.international.TimeZoneWrapper

All Implemented Interfaces:
  Serializable, Cloneable

    public class TimeZoneWrapper

extends TimeZone

A wrapper around a TimeZone that provides a more convenience interface to access the time zone information in the UI, in particular in the options of a select menu.

Author:
  Dan Allen
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.TimeZone
`LONG, SHORT`

Constructor Summary
`TimeZoneWrapper(TimeZone tz)`

Method Summary
`Object` | `clone()`
`boolean` | `equals(Object obj)`
`String` | `getId()`
`String` | `getLabel()`
`int` | `getOffset(int era, int year, int month, int day, int dayOfWeek, int millis)`
`int` | `getRawOffset()`
`TimeZone` | `getTimeZone()`
`int` | `hashCode()`
`boolean` | `inDaylightTime(Date date)`
`void` | `setID(String id)`
`void` | `setRawOffset(int offset)`
`boolean` | `useDaylightTime()`

Methods inherited from class java.util.TimeZone
`getAvailableIDs, getAvailableIDs, getDefault, getDisplayName, getDisplayName, getDisplayName, getDisplayName, getDSTSavings, getID, getOffset, getTimeZone, hasSameRules, setDefault`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeZoneWrapper

    public TimeZoneWrapper(TimeZone tz)

Method Detail

### setID

    public void setID(String id)

  Overrides:
    `setID` in class `TimeZone`

### getId

    public String getId()

### getLabel

    public String getLabel()

### getTimeZone

    public TimeZone getTimeZone()

### getOffset

    public int getOffset(int era,
                         int year,
                         int month,
                         int day,
                         int dayOfWeek,
                         int millis)

  Specified by:
    `getOffset` in class `TimeZone`

### setRawOffset

    public void setRawOffset(int offset)

  Specified by:
    `setRawOffset` in class `TimeZone`

### getRawOffset

    public int getRawOffset()

  Specified by:
    `getRawOffset` in class `TimeZone`

### useDaylightTime

    public boolean useDaylightTime()

  Specified by:
    `useDaylightTime` in class `TimeZone`

### inDaylightTime

    public boolean inDaylightTime(Date date)

  Specified by:
    `inDaylightTime` in class `TimeZone`

### clone

    public Object clone()

  Overrides:
    `clone` in class `TimeZone`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.